/*
 * Copyright (c) 2007-2012 Sonatype, Inc. All rights reserved.
 *
 * This program is licensed to you under the Apache License Version 2.0,
 * and you may not use this file except in compliance with the Apache License Version 2.0.
 * You may obtain a copy of the Apache License Version 2.0 at http://www.apache.org/licenses/LICENSE-2.0.
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the Apache License Version 2.0 is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Apache License Version 2.0 for the specific language governing permissions and limitations there under.
 */
package org.sonatype.sisu.litmus.testsupport.net;

import java.security.cert.CertificateException;
import java.security.cert.X509Certificate;

import com.sun.net.ssl.internal.ssl.X509ExtendedTrustManager;

/**
 * A very naive TrustManager.
 * Trusts every certificate it comes across.
 *
 * @since 1.4
 */
public class TrustingX509TrustManager
    extends X509ExtendedTrustManager
{

    @Override
    public void checkClientTrusted( final X509Certificate[] x509Certificates, final String s, final String s1,
                                    final String s2 )
        throws CertificateException
    {
    }

    @Override
    public void checkServerTrusted( final X509Certificate[] x509Certificates, final String s, final String s1,
                                    final String s2 )
        throws CertificateException
    {
    }

    @Override
    public void checkClientTrusted( final X509Certificate[] x509Certificates, final String s )
        throws CertificateException
    {
    }

    @Override
    public void checkServerTrusted( final X509Certificate[] x509Certificates, final String s )
        throws CertificateException
    {
    }

    @Override
    public X509Certificate[] getAcceptedIssuers()
    {
        return new X509Certificate[0];
    }
}

